# Synchronisation Kpitaine Drive

File sync with your Kpitaine Drive repository based on sFTP protocol. 

You can 
- either synchronize with scp line command tool
- either by customizing 
Synchronisation de fichiers avec le Kpitaine Drive via le protocole sFTP

## Configuration 

Change properties in `config.ps1` file with given security parameters. 

[More info in our Q/A website](https://faq.kpitaine.com/sources-de-données/kpitaine-drive/synchronisation-kpitaine-drive) - in french

You can also change synchronization behavior
by customizing the `kpitaine-drive-upload.ps1` content. 


More details about WinSCP features on https://winscp.net/eng/docs/library


## Scheduled tasks

You can use Windows Scheduler in order to schedule `kpitaine-drive-upload.ps1` execution.  
(Based on PowerShell)


## Dépendencies

- Using WinSCP (with .NET API)
- Requires .NET 2


## WinSCP

For use of WinSCP automation package see
https://winscp.net/eng/docs/library
https://winscp.net/eng/docs/library_install

To use the WinSCP assembly via COM interop, register it using:
%WINDIR%\Microsoft.NET\Framework\<version>\RegAsm.exe WinSCPnet.dll /codebase /tlb
where <version> is typically either v4.0.30319 or v2.0.50727.
https://winscp.net/eng/docs/library_install#registering

WinSCP homepage is https://winscp.net/

See the file 'license-dotnet.txt' for the license conditions.
