# Synchronisation Kpitaine Drive


Synchronisation de fichiers avec le Kpitaine Drive via le protocole sFTP

## Configuration 

Modifier le fichier config.ps1 pour indique vos éléments de sécurité 

[Voir la FAQ pour plus d'infos](https://faq.kpitaine.com/sources-de-données/kpitaine-drive/synchronisation-kpitaine-drive)


Vous pouvez aisément modifier le comportement de la synchronisation 
 selon vos souhaits en personnalisant le script à votre guise. 


Plus d'information sur les possibilités de l'API WinSCP sur 
https://winscp.net/eng/docs/library


## Execution automatique

Utiliser les **tâches planifiées** pour lancer à la fréquence souhaitées l'utilitaire `kpitaine-drive-upload.ps1` avec PowerShell.


## Dépendances 

- Utilise WinSCP et son API .NET (embarqué KSync)
- Nécessite .NET 2 minimum


## WinSCP

For use of WinSCP automation package see
https://winscp.net/eng/docs/library
https://winscp.net/eng/docs/library_install

To use the WinSCP assembly via COM interop, register it using:
%WINDIR%\Microsoft.NET\Framework\<version>\RegAsm.exe WinSCPnet.dll /codebase /tlb
where <version> is typically either v4.0.30319 or v2.0.50727.
https://winscp.net/eng/docs/library_install#registering

WinSCP homepage is https://winscp.net/

See the file 'license-dotnet.txt' for the license conditions.
